/****************************************************************************
**
** One line to give the program's name and a brief idea of what it does.
** Copyright (C) 2005      Romain Gaucher
**
** This program is free software; you can redistribute it and/or modify it
** under the terms of the GNU General Public License as published by the
** Free Software Foundation; either version 2 of the License, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful, but WITHOUT
** ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
** FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License along with
** this program; if not, write to the
** Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
**
****************************************************************************/

#include <QtGui>
#include "resultviewer.h"

//! Construct the html browser
ResultViewer::ResultViewer(const QString& htmlFile, QWidget *parent)
  : QWidget(parent)
{
	textBrowser = new QTextBrowser;
	textBrowser->setSource(htmlFile);
    QVBoxLayout *layout = new QVBoxLayout;
    layout->addWidget(textBrowser);
    setLayout(layout);
	setWindowTitle(tr("LPditor result viewer"));
	show();

    QSettings settings("Modelib", "LPditor");
	QPoint pos = settings.value("pos", QPoint(200, 200)).toPoint();
    QSize size = settings.value("size", QSize(400, 400)).toSize();
    move(pos + QPoint(50,50));
    resize(size);
}

ResultViewer::~ResultViewer()
{
	//
}